Package org.opensaml.core.xml

# Interface BaseBearing

public interface BaseBearing
Interface for element having a `@xml:base` attribute.

## Field Summary

Fields
Modifier and Type
Field
Description
`static final String`
`XML_BASE_ATTR_LOCAL_NAME`
The `base` attribute local name.
`static final QName`
`XML_BASE_ATTR_NAME`
The `xml:base` qualified attribute name.

## Method Summary

Modifier and Type
Method
Description
`String`
`getXMLBase()`
Returns the `@xml:base` attribute value.
`void`
`setXMLBase(String newBase)`
Sets the `@xml:base` attribute value.

## Field Details

### XML_BASE_ATTR_LOCAL_NAME

@Nonnull @NotEmpty static final String XML_BASE_ATTR_LOCAL_NAME
The `base` attribute local name.

See Also:
  - Constant Field Values

### XML_BASE_ATTR_NAME

@Nonnull static final QName XML_BASE_ATTR_NAME
The `xml:base` qualified attribute name.

## Method Details

### getXMLBase

@Nullable String getXMLBase()
Returns the `@xml:base` attribute value.

Returns:
  The `@xml:base` attribute value or `null`.

### setXMLBase

void setXMLBase(@Nullable String newBase)
Sets the `@xml:base` attribute value.

Parameters:
  `newBase` - The `@xml:base` attribute value